Subject: Re: termcap-1.3 on gnuwin32 b. 18
From: [email-masked] ("Justin Harvey")

15 May 1997 17:20:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>,
        "Vassilii Khachaturov" <[email-masked]>,
        <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
Original-Sender: [email-masked]

I took my working termcap-1.3 dir and tarred it up:

http://home1.gte.net/jbharvey/termcapwin32.tar.gz

have at it, it's got the object files, Makefile and libtermcap.a in it.

j

----------
> From: [email-masked]
> To: Vassilii Khachaturov <[email-masked]>; [email-masked]
> Subject: Re: termcap-1.3 on gnuwin32 b. 18
> Date: Thursday, May 15, 1997 6:07 AM
> 
> > 
> > I tried to build termcap-1.3
> > I did `configure' successfully and then  `make' gave me the following:
> > 
> > gcc -c  -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 
> >  -DTERMCAP_FILE=\"/
> > etc/termcap\" -I. -I. -g termcap.c
> > gcc -c  -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 
> >  -DTERMCAP_FILE=\"/
> > etc/termcap\" -I. -I. -g tparam.c
> > In file included from tparam.c:29:
> >
e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
 
> > 4\..
> > /../../../i386-cygwin32/include/string.h:55: syntax error before `('
> >
e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
 
> > 4\..
> > /../../../i386-cygwin32/include/string.h:55: warning: conflicting types
for 
> > buil
> > t-in function `memcpy'
> >
e:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-97040
 
> > 4\..
> > /../../../i386-cygwin32/include/string.h:55: syntax error before
`const'
> > gcc: Internal compiler error: program cc1 got fatal signal 33
> > make: *** [tparam.o] Error 1
> > 
> > Does someone have an applicable patch?
> 
> comment out that line in string.h (search for bcopy).  b17 had the 
> same problem, and that seemed to fix it.  how smart it is is up to 
> debate, but I had no problems ever compiling anything that used 
> string.h. 
> 
> ---
> "Oh, what sad times are these when passing ruffians can say 'Ni!' at will
to old
> ladies.  There is a pestulance upon this land, nothing is sacred.  Even
those
> who arrange and design shrubberies are under considerable economic stress
of
> this period of history."                                   -- Roger the
Shrubber
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".